@import "./abstracts/mixins";
@import "./abstracts/variables";
@import "../fonts/fonts";

.main__what-i-do{
  height: fit-content;

  @media (min-width:$bp-lg) {
    @include flex (row, center, center);
    border-top: 1px solid $black-color;
    border-bottom: 1px solid $black-color;
  }
}

.what-i-do__banner{
  background-image: url(../img/what-i-do/what-i-do-bgd.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: 478px;

  @media (min-width:$bp-md) {
    height: 991px;
    align-self: stretch;
  }

  @media (min-width:$bp-lg){
    height: 1100px;
    width: 100%;
  }
}

.what-i-do__content{
  padding: 20px;
  background-color: $background-color;

  @media (min-width:$bp-md){
    padding: 40px 30px;
  }

  @media (min-width:$bp-lg){
    padding: 65px;
    padding-left: 110px;
  }
}

.what-i-do__content h3{
  color: $second-shade-black;
  text-align: center;
  font-family: Gilroy;
  font-size: 60px;
  font-weight: 300;
  text-transform: uppercase;

  @media (min-width:$bp-md){
    font-family: Gilroy;
    font-size: 100px;
    font-weight: 300;
    text-transform: uppercase;
  }

  @media (min-width:$bp-lg) {
    margin-bottom: 100px;
  }
}

.what-i-do__list dd{
  color: $black-color;
  font-family: Inter;
  font-size: 20px;
  font-weight: 400;
  line-height: 28px; /* 140% */
  padding-bottom: 30px;
  padding-top: 10px;
  border-bottom: 1px solid $second-shade-black;

  &:nth-child(8){
    padding-bottom: 20px;

    @media (min-width:$bp-md){
      padding-bottom: 40px;
    }

    @media (min-width:$bp-lg){
      border: none;
    }
  }
}

.what-i-do__list {
  counter-reset: my-counter;
}

.list__li-item{
  color: $black-color;
  font-family: Gilroy-Light;
  font-size: 25px;
  font-style: normal;
  font-weight: 400;
  text-transform: uppercase;
  padding-left: 40px;
  padding-top: 30px;
  position: relative;
  text-align: start;

  @media (min-width:$bp-md) {
  font-family: Gilroy-Light;
  font-size: 44px;
  line-height: 48px; /* 109.091% */
  padding-left: 55px;
  }

  &::before{
    content: '01';
    position: absolute;
    display: block;
    color: $black-color;
    font-family: Gilroy-SemiBold;
    font-size: 25px;
    font-weight: 400;
    text-transform: uppercase;
    top: 30px;
    left: 5px;

    content: counter( my-counter, decimal-leading-zero);
    counter-increment: my-counter;

    @media (min-width:$bp-md){
      font-size: 44px;
      line-height: 48px; /* 109.091% */
    }
  }
}